obj_file=main.o Si1145.o
res_file=main.o Si1145.o UV_demo
UV_demo:$(obj_file)
	gcc -Wall -o UV_demo $(obj_file) -lbcm2835
main.o:
	gcc -Wall -c main.c -lbcm2835
Si1145.o:Si1145.h
	gcc -Wall -c Si1145.c -lbcm2835
.PHONY:clean
clean:
	-rm $(res_file)
